%define upstream_name    File-List
%define upstream_version 0.3.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl extension for crawling directory trees and compiling lists of files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source:     https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch: noarch

%description
This module crawls the directory tree starting at the provided base
directory and can return files (and/or directories if desired) matching a
regular expression

%prep
%setup -q -n File/List 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.3.1-12.mga10
+ Revision: 2198726
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.3.1-11.mga9
+ Revision: 1803632
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.1-10.mga8
+ Revision: 1494489
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.3.1-9.mga7
+ Revision: 1268091
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.1-8.mga6
+ Revision: 1027333
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.3.1-7.mga6
+ Revision: 939539
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-6.mga5
+ Revision: 750256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-5.mga5
+ Revision: 684737
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.1-4.mga4
+ Revision: 511539
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 367265
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.3.1-2.mga1
+ Revision: 29263
- no meta.yml
- use %%perl_convert_version
- mageia rebuild
- imported package perl-File-List


* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.3.1-2mdv2010.0
+ Revision: 440555
- rebuild

* Tue Oct 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2009.1
+ Revision: 293677
- import perl-File-List


* Tue Oct 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2009.1
- initial mdv release, generated with cpan2dist
